VERSION 5.00
Begin VB.Form Form1 
   Caption         =   "Form1"
   ClientHeight    =   5295
   ClientLeft      =   60
   ClientTop       =   450
   ClientWidth     =   8010
   LinkTopic       =   "Form1"
   ScaleHeight     =   353
   ScaleMode       =   3  'Pixel
   ScaleWidth      =   534
   StartUpPosition =   3  'Windows Default
End
Attribute VB_Name = "Form1"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
Option Explicit

Private Type Point
    x       As Long
    Y       As Long
End Type

Private Type Arguments
    a       As Single
    b       As Single
    c       As Single
End Type

Dim points(1 To 3)  As Point
Dim pointsSet       As Long
'

' y = ax^2 + bx + c
Private Function GetFunctionArguments(p1 As Point, p2 As Point, p3 As Point) As Arguments

    Dim args As Arguments
    
    args.b = ((p1.Y - p3.Y) * (p1.x ^ 2 - p2.x ^ 2) - (p1.Y - p2.Y) * (p1.x ^ 2 - p3.x ^ 2)) / _
             ((p1.x - p3.x) * (p1.x ^ 2 - p2.x ^ 2) - (p1.x - p2.x) * (p1.x ^ 2 - p3.x ^ 2))
    args.a = (p1.Y - p2.Y - args.b * (p1.x - p2.x)) / (p1.x ^ 2 - p2.x ^ 2)
    args.c = p1.Y - args.a * p1.x ^ 2 - args.b * p1.x
    
    GetFunctionArguments = args

End Function
'

Private Function Min(a As Long, b As Long, c As Long) As Long
    Dim m As Long
    m = IIf(a < b, a, b)
    Min = IIf(m < c, m, c)
End Function
'

Private Function Max(a As Long, b As Long, c As Long) As Long
    Dim m As Long
    m = IIf(a > b, a, b)
    Max = IIf(m > c, m, c)
End Function
'

Private Sub Form_Load()
    
    Me.ScaleMode = vbPixels
    Me.AutoRedraw = True

End Sub
'

Private Sub Form_MouseUp(Button As Integer, Shift As Integer, x As Single, Y As Single)
    
    Dim p       As Long
    Dim f       As Arguments
    Dim xStart  As Long
    Dim xEnd    As Long
    
    pointsSet = pointsSet + 1
    
    If pointsSet = 4 Then
        p = 1
        pointsSet = 1
    Else
        p = pointsSet
    End If
    
    points(p).x = x
    points(p).Y = Y
    
    Me.Cls
    Me.ForeColor = vbRed
    Me.DrawWidth = 5
    For p = 1 To pointsSet
        Me.PSet (points(p).x, points(p).Y)
    Next
    
    If pointsSet = 3 Then
        
        f = GetFunctionArguments(points(1), points(2), points(3))
        
        Me.ForeColor = vbBlue
        Me.DrawWidth = 2
        
        xStart = Min(points(1).x, points(2).x, points(3).x)
        xEnd = Max(points(1).x, points(2).x, points(3).x)
        
        For x = xStart To xEnd
            
            Me.PSet (x, f.a * x ^ 2 + f.b * x + f.c)
        
        Next
        
    
    End If
    
End Sub
